#include <cstdio>
#include <cstring>
#include <cctype>
#include <algorithm>
#include <vector>

typedef long long LL;
#define rep(i,a,b) for(int i=a,_ds##i=b;i<=_ds##i;++i)
#define per(i,a,b) for(int i=a,_ds##i=b;i>=_ds##i;--i)
template<typename T> T rd(){T r;char c,n=0;while(!isdigit(c=getchar()))n=c=='-';r=c-'0';while(isdigit(c=getchar()))r=r*10+c-'0';return n?-r:r;}
#define rdi rd<int>
#define rdl rd<LL>


int main() {

    return 0;
}
